<?php
	$this->sections[] = array(
		'title'	 => esc_html__( 'Background', 'arnica' ),
		'icon'	 => 'el el-picture',
		'fields' => array(
		  
			// Background type
			array(
				'id'       => 'bg_type',
				'type'     => 'radio',
				'title'    => esc_html__('Background Type', 'arnica'), 
				'options'  => array(
					'1' => esc_html__('Single Image', 'arnica'), 
					'2' => esc_html__('Image Slideshow', 'arnica'), 
					'3' => esc_html__('Youtube Background', 'arnica')
				),
				'default' => '1'
			),
			
			// Single image
			array(
				'id'       => 'single_image_section',
				'type'     => 'section',
				'indent'   => true,
				'required' => array( 'bg_type', "=", '1' ),
			),
			
			array(
				'id'       => 'single_image',
				'type'     => 'media',
				'subtitle' => esc_html__( 'Select the image you want in the background', 'arnica' ),
				'title'    => esc_html__( 'Single Image', 'arnica' ),
			),	
			
			array(
				'id'       => 'single_image_section_end',
				'type'     => 'section',
				'indent'   => false,
			),
			
			// Image slideshow
			array(
				'id'       => 'image_slideshow_section',
				'type'     => 'section',
				'indent'   => true,
				'required' => array( 'bg_type', "=", '2' ),
			),
			
			array(
				'id'       => 'image_slideshow',
				'type'     => 'gallery',
				'title'    => esc_html__( 'Image Slideshow', 'arnica' ),
				'subtitle' => esc_html__( 'Select images you want in the background', 'arnica' ),
			),	
			
			array(
				'id'        => 'image_slideshow_animation',
				'type'      => 'switch',
				'title'     => esc_html__( 'Ken Burns', 'arnica' ),
				'desc'     	=> esc_html__( 'Enable/disable Ken Burns effect.', 'arnica' ),
				'on'        => esc_html__( 'Enable', 'arnica' ),
				'off'       => esc_html__( 'Disable', 'arnica' ),
				'default'   => true
			),
			
			array(
				'id'       => 'image_slideshow_section_end',
				'type'     => 'section',
				'indent'   => false,
			),
			
			// Youtube background
			array(
				'id'       => 'youtube_bg_section',
				'type'     => 'section',
				'indent'   => true,
				'required' => array( 'bg_type', "=", '3' ),
			),
			
			array(
				'id'       => 'youtube_video_url',
				'type'     => 'text',
				'title'    => esc_html__( 'Youtube Video URL', 'arnica' ),
				'desc'     => wp_kses_post( __( '<strong>Example:</strong> https://youtu.be/kn-1D5z3-Cs', 'arnica' ) ),
				'default'  => '',
			),
			  
			array(
				'id'        => 'video_placeholder',
				'type'      => 'media',
				'title'     => esc_html__( 'Video Callback Image', 'arnica' ),
				'desc'      => esc_html__( 'This image will be shown if browser does not support fullscreen video background', 'arnica' ),
				'mode'      => false,
			),
			
			array(
				'id'       => 'youtube_bg_section_end',
				'type'     => 'section',
				'indent'   => false,
			),
			
		),
	);
?>