<?php
	$this->sections[] = array(
		'title'	 => esc_html__( 'Google Maps', 'arnica' ),
		'icon'	 => 'el el-icon-map-marker',
		'fields' => array(
		  
		  	// Visibility
			array(
				'id'        => 'map_visibility',
				'type'      => 'switch',
				'title'     => esc_html__( 'Section Visibility', 'arnica' ),
				'desc'     	=> esc_html__( 'Enable/disable map section.', 'arnica' ),
				'on'        => esc_html__( 'Enable', 'arnica' ),
				'off'       => esc_html__( 'Disable', 'arnica' ),
				'default'   => true
			),
		  
		  	// Latitude
		  	array(
				'id'        => 'map_latitude',
				'type'      => 'text',
				'title'     => esc_html__( 'Latitude of a Point', 'arnica' ),
				'desc'      => esc_html__( 'Example, 37.800976', 'arnica' ),
				'default'   => '37.800976'
			),
			
			// Longitude
			array(
				'id'        => 'map_longitude',
				'type'      => 'text',
				'title'     => esc_html__( 'Longitude of a Point', 'arnica' ),
				'desc'      => esc_html__( 'Example, -122.428502', 'arnica' ),
				'default'   => '-122.428502'
			),
			
			// Zoom level
			array(
				'id'            => 'map_zoom_level',
				'type'          => 'slider',
				'title'         => esc_html__( 'Zoom Level', 'arnica' ),
				'desc'          => esc_html__( 'Zoom level between 0 to 21', 'arnica' ),
				'default'       => 12,
				'min'           => 0,
				'step'          => 1,
				'max'           => 21,
				'display_value' => 'text'
			),
			
			// API key
			array(
				'id'        => 'map_google_api',
				'type'      => 'text',
				'title'     => esc_html__( 'Google Maps JavaScript API Key', 'arnica' ),
				'default'   => ''
			),
			
			// Map color
			array(
				'id'           => 'map_color',
				'type'         => 'color',
				'transparent'  => false,
				'title'        => esc_html__( 'Map Color', 'arnica' ),
				'desc'         => esc_html__( 'Pick a color', 'arnica' ),
				'default'      => '#0fe0ba'
			),
			
			// Marker image
			array(
				'id'        => 'map_marker',
				'type'      => 'media',
				'title'     => esc_html__( 'Marker Image', 'arnica' ),
				'mode'      => false,
			),
			
			// Marker popup title
			array(
				'id'     	=> 'map_marker_popup_title',
				'type'      => 'text',
				'title'     => esc_html__( 'Marker Popup Title', 'arnica' ),
				'default'   => esc_html__( 'Arnica Main Office', 'arnica' )
			),
			
		),
	);
?>