<?php
	//Read subscribed email addresses from address.txt
	if ( file_exists( dirname( __FILE__ ) . '/../../template/php/address.txt' ) ) {
		Redux_Functions::initWpFilesystem();
		global $wp_filesystem;
		
		$address_list = $wp_filesystem->get_contents( dirname( __FILE__ ) . '/../../template/php/address.txt' );
	}
	
	$this->sections[] = array(
		'title'	 => esc_html__( 'Subscribe', 'arnica' ),
		'icon'	 => 'el el-envelope',
		'fields' => array(
			  
			// Visibility
			array(
				'id'        => 'subscribe_visibility',
				'type'      => 'switch',
				'title'     => esc_html__( 'Visibility', 'arnica' ),
				'desc'     	=> esc_html__( 'Enable/disable subscription form.', 'arnica' ),
				'on'        => esc_html__( 'Enable', 'arnica' ),
				'off'       => esc_html__( 'Disable', 'arnica' ),
				'default'   => true
			),
			  
			// Title
			array(
				'id'       => 'subscribe_title',
				'type'     => 'text',
				'title'    => esc_html__( 'Title', 'arnica' ),
				'default'  => esc_html__( 'Stay Tuned', 'arnica' ),
			),
			
			// Background image
			array(
				'id'       => 'subscribe_bg_image',
				'type'     => 'media',
				'subtitle' => esc_html__( 'Select the image you want in the background', 'arnica' ),
				'title'    => esc_html__( 'Background Image', 'arnica' ),
			),	
			  
			// Info
			array(
				'id'       => 'subscribe_info',
				'type'     => 'editor',
				'title'    => esc_html__( 'Info', 'arnica' ),
				'default'  => wp_kses_post( __( "We launch our new website soon.<br>Please stay updated and follow!", 'arnica' ) ),
			),
			  
			// Main Button label
			array(
				'id'       => 'subscribe_button_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Main Button Label', 'arnica' ),
				'validate' => 'html',
				'default'  => wp_kses_post( __( '<i class="fas fa-envelope"></i> Subscribe', 'arnica' ) ),
			),
			  
			// Form Button label
			array(
				'id'       => 'subscribe_form_button_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Form Button Label', 'arnica' ),
				'validate' => 'html',
				'default'  => esc_html__( 'Get Notified', 'arnica' ),
			),
		  
			// Email field label
			array(
				'id'       => 'subscribe_email_field_label',
				'type'     => 'text',
				'title'    => esc_html__( 'Email Field Label', 'arnica' ),
				'default'  => esc_html__( 'Enter your email address', 'arnica' ),
			),
			
			// Subscribers list
			array(
                'id'         => 'subscribe_addresses',
                'type'       => 'raw',
                'full_width' => false,
                'title'    	 => esc_html__('Subscribers List', 'arnica'),
                'content'    => wp_kses_post( __( "<textarea readonly style='float: left; width: 25em;'>" . $address_list . "</textarea>", 'arnica') ),
            ),
			
			/*********************
			    - Mailschimp -
			*********************/
			array(
				'id'       => 'subscribe_use_mailchimp',
				'type'     => 'switch',
				'title'    => esc_html__( 'Use MailChimp?', 'arnica' ),
				'subtitle' => esc_html__( 'Set to Yes if you want to use MailChimp to manage subscribers. If set to No the email addresses will be added to a simple text string.', 'arnica' ),
            ),
			
			array(
				'id'       => 'mailchimp_section',
				'type'     => 'section',
				'title'    => esc_html__( 'Mailchimp Details', 'arnica' ),
				'indent'   => true,
				'required' => array( 'subscribe_use_mailchimp', "=", 1 ),
			),
			
			// Mailchimp API Key
			array(
				'id'       => 'mailchimp_api_key',
				'type'     => 'text',
				'title'    => esc_html__( 'Mailchimp API Key', 'arnica' ),
				'default'  => '',
			),
			
			// Mailchimp Audience ID
			array(
				'id'       => 'mailchimp_list_id',
				'type'     => 'text',
				'title'    => esc_html__( 'Mailchimp Audience ID', 'arnica' ),
				'default'  => '',
			),

			array(
				'id'       => 'mailchimp_section_end',
				'type'     => 'section',
			),
			
		),
	);
?>