<?php
	/*
	Plugin Name: 	Arnica - Creative Coming Soon WordPress Plugin
	Plugin URI: 	https://codecanyon.net/item/arnica-creative-coming-soon-wordpress-plugin/23093323
	Description: 	Creative and professional under construction / landing page / one page WordPress Plugin.
	Author: 		20script
	Version: 		1.9
	Author URI: 	https://www.20script.ir
	*/
	
	$current_folder = dirname( __FILE__ );

	// Language
	add_action( 'plugins_loaded', 'arnica_textdomain' );

	function arnica_textdomain() {
		load_plugin_textdomain( 'arnica', false,  dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
	}
	
	/****************
	    - Admin -
	****************/
	if ( !class_exists( 'ReduxFramework' ) && file_exists( $current_folder . '/admin/redux-framework/redux-core/framework.php' ) ) {
		require_once( $current_folder . '/admin/redux-framework/redux-core/framework.php' );
	}

	if ( file_exists( $current_folder . '/admin/social/social.php' ) ) {
		require_once( $current_folder . '/admin/social/social.php' );
	}
	
	if ( !isset( $arnicaConfig ) && file_exists( $current_folder . '/admin/config.php' ) ) {
		require_once( $current_folder . '/admin/config.php' );
	}
	
	/********************
	    - Front end -
	********************/
	add_action( 'template_redirect', 'arnica_coming_soon_wp' );

	function arnica_coming_soon_wp() {
		global $arnicaConfig, $arnicaPluginConfig, $current_folder;
		
		if( !$arnicaConfig[ 'plugin_mode' ] ) {
			return;
		} else if( $arnicaConfig[ 'plugin_mode' ] ) {
			if ( current_user_can( 'manage_options' ) || $arnicaPluginConfig->allowAccess() ) {
				return;
			} else {
				include( $current_folder . '/template/functions.php');
				include( $current_folder . '/template/index.php');
				die();
			}
		}
	}	
?>