(function($) {
    
	"use strict";
	
	/* Default Variables */
	var ArnicaOptions = {
		mobile:false,		
		maps_created:false,
		zoom_div:null
	};
	
	if (typeof Arnica!=="undefined") {
		jQuery.extend(ArnicaOptions, Arnica);
	}
	
	/**
	 * jQuery.browser.mobile (http://detectmobilebrowser.com/)
	 * jQuery.browser.mobile will be true if the browser is a mobile device
	 *
	 **/
	(function(a) {
		(jQuery.browser=jQuery.browser||{}).mobile=/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(a)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(a.substr(0,4));
	})(navigator.userAgent||navigator.vendor||window.opera);

	ArnicaOptions.mobile = jQuery.browser.mobile;
	
	$.ArnicaTheme = {
		
		//Initialize
		init:function() {
			this.loader();
			this.animations();
            this.background();
			this.sidebar();
			this.countdown();
			this.subscribe();
			this.contact();
		},
		
		//Page Loader
		loader:function() {
			//Hide preloader
			jQuery(window).on("load", function() {
				jQuery(".page-loader").fadeOut();
			});
		},
		
		//Animations
		animations:function() {
			if (!ArnicaOptions.mobile) {
				new WOW().init();
			}
		},
        
        //Background
		background:function() {
			//Fix Vegas responsive issue
			jQuery('.bg').removeAttr('style');

			//Video
			if (jQuery(".player").length>0) {
				jQuery(".player").mb_YTPlayer();
			}
		},
		
		//Sidebar
		sidebar:function() {
			if (jQuery("#about").length===0) {
				return;
			}
			
			var that = this;
			
			//Custom scrollbar
			jQuery(".modal").mCustomScrollbar({
				scrollInertia:150,
				axis:"y"
			});
			
			//Open modal dialog
			jQuery(".info-nav, .more-info").on("click", function(e) {
				e.preventDefault();

				if (jQuery(".info-nav").hasClass("active")) {			
					jQuery(".bg, .page").toggleClass("modal-opened");			
				} else {
					setTimeout(function() {
						jQuery(".bg, .page").toggleClass("modal-opened");
					}, 500);
				}

				jQuery(".info-nav").toggleClass("active");
				jQuery("#about").modal("toggle");
			});

			//Close modal dialog
			jQuery(document).on("click", ".modal-backdrop", function() {
				jQuery(".info-nav").trigger("click");
			});
			
			//Init Google Maps
			jQuery("#about").on("shown.bs.modal", function() {
				if (!ArnicaOptions.maps_created) {
					setTimeout(function() {
						that.map();
						ArnicaOptions.maps_created = true;
					}, 500);
				}
			});
		},
		
		//Countdown timer
		countdown:function() {
			if (jQuery("#countdown").length>0) {
				var date = new Date(launchDay);

				jQuery("#countdown").countdown({
					until:date,
					padZeroes:true,
					labels:labels.split(","),
					labels1:labelsOne.split(",")
				});

				if (!ArnicaOptions.mobile && !jQuery(".countdown-horizontal").length) {
					if(jQuery(".countdown-section").first().find(".countdown-amount").text().length>2) {
						jQuery(".countdown").css("margin-left", "-44px");
					} else {                
						jQuery(".countdown").css("margin-left", "-58px");
					}
				}
			}
		},
		
		//Subscribe
		subscribe:function() {
			if (jQuery("#notifyMe").length>0) {
				jQuery("#notifyMe").notifyMe();
			}
		},
		
		//Contact form
		contact:function() {
			if (jQuery(".contact-form").length===0) {
				return;
			}

			var $name = 	jQuery(".field-name"), 
				$email = 	jQuery(".field-email"), 
				$phone = 	jQuery(".field-phone"),
				$text = 	jQuery(".field-message"), 
				$button = 	jQuery("#contact-submit");

			jQuery(".field-name, .field-email, .field-message").focus(function() {
				if (jQuery(this).parent().find('.error').length>0) {
					jQuery(this).parent().find('.error').fadeOut(150, function() {
						jQuery(this).remove();
					});
				}
			});

			$button.removeAttr("disabled");

			$button.on("click", function() {
				var fieldNotice = function($that) {
					if ($that.parent().find('.error').length===0) {
						jQuery('<span class="error"><i class="fa fa-times"></i></span>').appendTo($that.parent()).fadeIn(150);
					}
				};

				if ($name.val().length<1)   {fieldNotice($name);}
				if ($email.val().length<1)  {fieldNotice($email);}
				if ($text.val().length<1)   {fieldNotice($text);}

				if (jQuery(".contact-form").find(".field .error").length===0) {
					jQuery(document).ajaxStart(function() {
						$button.attr("disabled", true);
					});
					
					var action = jQuery(".contact-form").data("action");

					jQuery.post(action, {
						name:$name.val(), 
						email:$email.val(),
						phone:$phone.val(), 
						message:$text.val()
					}, function(response) {
						var data = jQuery.parseJSON(response);

						if (data.status==="email") {
							fieldNotice($email);
							$button.removeAttr("disabled");
						} else if (data.status==="error") {
							$button.text("Unknown Error :(");
						} else {
							jQuery(".contact-form-holder").fadeOut(300);
							jQuery(".contact-form-result").fadeIn(300);
						}
					});
				}
			});
		},
		
		//Google Maps
		map:function(color, marker) {
			if (jQuery("#google-container").length===0) {
				return;
			}

			//Variables
			var container = 	jQuery("#google-container"),
				title = 		container.data("title"),
				latitude = 		container.data("latitude"),
				longitude = 	container.data("longitude"),
				zoom = 			container.data("zoom");		

			//Marker icon
			var marker_url = (marker===undefined ? container.data("marker") : marker);

			//Main color
			var main_color = (color===undefined ? container.data("color") : color);

			//Saturation and brightness
			var saturation_value = -20;
			var brightness_value = 5;

			//Map style
			var style= [ 
				{//Set saturation for the labels on the map
					elementType:"labels",
					stylers:[
						{saturation:saturation_value},
					]
				}, 

				{//Poi stands for point of interest - don't show these labels on the map 
					featureType:"poi",
					elementType:"labels",
					stylers:[
						{visibility:"off"},
					]
				},

				{//Hide highways labels on the map
					featureType:"road.highway",
					elementType:"labels",
					stylers:[
						{visibility:"off"},
					]
				}, 

				{//Hide local road labels on the map
					featureType:"road.local", 
					elementType:"labels.icon", 
					stylers:[
						{visibility:"off"}, 
					] 
				},

				{//Hide arterial road labels on the map
					featureType:"road.arterial", 
					elementType:"labels.icon", 
					stylers:[
						{visibility:"off"},
					] 
				},

				{//Hide road labels on the map
					featureType:"road",
					elementType:"geometry.stroke",
					stylers:[
						{visibility:"off"},
					]
				},

				{//Style different elements on the map
					featureType:"transit", 
					elementType:"geometry.fill", 
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				}, 

				{
					featureType:"poi",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				},

				{
					featureType:"poi.government",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				},

				{
					featureType:"poi.attraction",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				},

				{
					featureType:"poi.business",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				},

				{
					featureType:"transit",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				},

				{
					featureType:"transit.station",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},


					]
				},

				{
					featureType:"landscape",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]	
				},

				{
					featureType:"road",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				},

				{
					featureType:"road.highway",
					elementType:"geometry.fill",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				},

				{
					featureType:"water",
					elementType:"geometry",
					stylers:[
						{hue:main_color},
						{visibility:"on"}, 
						{lightness:brightness_value}, 
						{saturation:saturation_value},
					]
				}
			];

			//Set google map options
			var map_options = {
				center:new google.maps.LatLng(latitude, longitude),
				zoom:zoom,
				panControl:false,
				zoomControl:false,
				mapTypeControl:false,
				streetViewControl:false,
				mapTypeId:google.maps.MapTypeId.ROADMAP,
				scrollwheel:false,
				styles:style
			};

			//Inizialize the map
			var map = new google.maps.Map(document.getElementById("google-container"), map_options);

			//Add a custom marker to the map        
			var marker = new google.maps.Marker({
				position:new google.maps.LatLng(latitude, longitude),
				map:map,
				title:title,
				visible:true,
				icon:marker_url
			});

			window.addEventListener("resize", function() {
				var center = map.getCenter();
				google.maps.event.trigger(map, "resize");
				map.setCenter(center); 
			});

			//Add custom buttons for the zoom-in/zoom-out on the map
			if (ArnicaOptions.zoom_div===null) {		
				var zoomControlDiv = document.createElement("div");		
				var zoomControl = new customZoomControl(zoomControlDiv, map);
				ArnicaOptions.zoom_div = zoomControlDiv;
			}

			//Insert the zoom div on the top left of the map
			map.controls[google.maps.ControlPosition.LEFT_TOP].push(ArnicaOptions.zoom_div);
		}
		
	};
	
	//Initialize
	$.ArnicaTheme.init();

})(jQuery);

//Map zoom controls
function customZoomControl(controlDiv, map) {
	//Grap the zoom elements from the DOM and insert them in the map 
	var controlUIzoomIn = 	document.getElementById("zoom-in"),
		controlUIzoomOut = 	document.getElementById("zoom-out");

	controlDiv.appendChild(controlUIzoomIn);
	controlDiv.appendChild(controlUIzoomOut);

	//Setup the click event listeners and zoom-in or out according to the clicked element
	controlUIzoomIn.addEventListener("click", function() {
		map.setZoom(map.getZoom()+1);
	});

	controlUIzoomOut.addEventListener("click", function() {
		map.setZoom(map.getZoom()-1);
	});
}