<?php
	if ( !$_POST ) exit;
	
	$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
	require_once( $parse_uri[ 0 ] . 'wp-load.php' );
	
	global $arnicaConfig;
	
	//Error variable
	$error = "";
	
	//Form Fields
	$name 		= sanitize_text_field( $_POST[ 'name' ] );
	$email 		= sanitize_email ($_POST[ 'email' ] );
	$phone 		= sanitize_text_field( $_POST[ 'phone' ] );
	$message 	= sanitize_textarea_field( $_POST[ 'message' ] );
	$date 		= date( 'F j, Y, H:i (h:i A) (\G\M\T O)' );
	$ip 		= $_SERVER[ 'REMOTE_ADDR' ];
	
	//Check for empty fields
	if ( empty( $name ) or empty( $message ) ) {
		echo json_encode(array("status" => "error"));
	} else if ( empty( $email ) or !filter_var( $email, FILTER_VALIDATE_EMAIL ) ) {
		echo json_encode( array( "status" => "email" ) );
	} else {		
		//Send message via E-mail
		$variables = array(	'{from}', 	'{email}', '{phone}', 	'{message}', 	'{date}', 	'{ip}' );
		$values = array(	$name, 		$email, 	$phone, 	$message, 		$date, 		$ip );

		$text = trim( str_replace( $variables, $values, $arnicaConfig[ 'contact_form_template' ] ) );
		$headers = array( 'From: ' . $name . ' <' . $email . '>' );

		if ( !empty( $arnicaConfig[ 'contact_form_email' ] ) ) {
			$subject = esc_html__( 'A new message from', 'arnica' ) . ' ' . $name;
			
			if ( wp_mail( $arnicaConfig[ 'contact_form_email' ], $subject, $text, $headers ) ) {
				echo json_encode( array( "status" => "ok" ) );
			} else {
				echo json_encode( array( "status" => "error" ) );
			}
		}
	}
?>